/*
    Copyright
    Rasarp Microsave App 
*/
/* Micro Save App Stylesheets */

html,body{
	width: 100%;
	height: 100%;
	background-color: rgba(255,255,255,0.8);
    background-image: url("../images/rasarp_logo-4.png");
    background-repeat: no-repeat;
	margin:0 auto;
}

h2,h3,h4,h5,h6,p,a{
	margin: 0 !important;
}
button{
	white-space: normal;
}

img#rms-logo{
    width: 14rem;
    height:7rem;
}

img#rms-logo-intro{
    width:70%;
    height:70%;
   /* border-color: rgba(0,180,0,0.5);
    border-style: inset;
    border-width:thin; */
}
.rms-appveiw-modal{
	margin: 0;
}
.rms-appveiw-modal h2,
.rms-appveiw-modal p{
 text-align: center;
  padding: 10px;
}
.rms-viewtable-wrap{
	padding: 10px 0;
}

.rms-table{	
	margin: 0 auto;
	width:100%;
	vertical-align:top; 
	border-collapse: collapse;
}

.rms-viewtable{
	margin: 0 auto;
  width:85%; 
	vertical-align:middle;
	border-collapse:collapse;
}
.rms-table,.rms-viewtable{
	background-color: rgba(255,255,255,0.9);
	border: 2px solid grey;
	font-size: 1.09rem;
}
.rms-table th{
	padding:3px 3px;
	border-bottom: 2px solid grey;
	border-left: 1.5px solid grey;
	color: black;
	text-align: center;
}
.rms-table td{
	width:auto;
	text-align:left;
	border: 1.5px solid grey;
	padding-left: 6px;
	padding-right:4px;
	padding-top:2px;
	padding-bottom: 2px;
}

.rms-viewtable th{
	width: 40%;
}

.rms-viewtable th,
.rms-viewtable td{
	padding:3px 7px;
	text-align:left;
	border: 1.5px solid grey;
}

.rms-table tr:nth-child(2n+1),
.rms-viewtable tr:nth-child(2n+1){
	background-color: lightgrey;
}

table#rms-passbook-datatable tr td{
 text-align: center;
}
table a.action-btn{
  text-decoration: none;
	font-size:.9em;
}
.rms-hyperlink-btn,.rms-approval-btn{
	padding: 6px 5px;
  border:3px solid #808080;
	border-radius: 10px;
	text-align: center;
	font-weight: bold;
	text-decoration: none;
	background-color: #4caf50;
	color: #ffff;
}
.rms-hyperlink-btn:hover,.rms-approval-btn:hover{
	color: #000;
	background-color:#fff;
}
.rms-approval-btn:active{
	background-color:#d3d3d3;
}

.rms-approval-btn{
  position:fixed;
	top: 196px;
	right: 15px;
}

.rms-btn,.rms-button{
	border:1.5px solid #000;
	display:inline-block;
	vertical-align:baseline;
	overflow:hidden;
	text-decoration:none;
	background-color:inherit;
	text-align:center;
	color:#000;
	font-weight: bold;
	cursor:pointer;
	white-space:nowrap
}
.rms-alert,.rms-show-alert,.alert-message{
  display: none;
	padding: 5px 20px;
	color: #171716;
	font-weight: bold;
}

.rms-show-alert{
    display: block;
}


/*Main Theme Css Starts*/
#rms-mainboard-header{
	background-color:rgba(0,0,0,0.8);
    color: whitesmoke;
	margin-top: 37px;
}


/*#rms-mainboard{}*/

#rms-mainboard h1,#rms-mainboard h2{
 font-weight: bold;
}
/*#rms-mainboard-content{}*/

#rms-mainboard-footer,#rms-login-footer{
	color: white;
	font-weight: bold;
	background-color: black;
	
}
#rms-mainboard-footer > p,#rms-login-footer{
	text-align: center !important;
}
#rms-topbanner h1{
 font-weight: bold;
}
/*banner-contents{}*/
banner-contents p{
	display: none;
}

#rms-side-intro{
color: #ffff;
 padding: 10px 0 5px 0;
 background-color: rgba(0,0,0,0.8) !important;
 
}

#rms-side-intro a{
 width:100%;
 position: relative;
 display: inline-block;
 font-size:2rem;
 font-weight: bolder;
 text-decoration:none;

}

#rms-side-intro a:hover{
  background-color: #4caf50;
}

#rms-sidebar{
padding-left: 5px;
}

#rms-sidebar,#rms-side-intro{
	width: 85%;
	background-color:#58575a; 
}

#rms-sidebar h2 a{
  font-weight: bold;
}

.rms-sidebar-links a,.rms-sidebar-links h4{
	font-weight: bold;
	text-align: left !important;
	color: whitesmoke;
}

.rms-modal-header,.rms-modal-footer{
	color: #fff;
	background-color: #4caf50;
}

.rms-modal-content{
	background-color: #fff;
}

rms-modal-footer{
  text-align: center;	
}

.pagination-block{
  max-width: 400px;
  min-width: 300px;
  width: 100%;
  display: block;
  margin: 0 auto;
  position: relative;
  background-color: whitesmoke;
  padding: 5px;
}

.pagination-block span{
	margin: 2px;
  padding: 3px;
	border: 1px solid white;
	background-color: lightgrey;
	cursor: pointer;

}
.opacity{
 opacity: 1;
}
/*Main Theme Css Ends*/

/*Login and Intro Page*/
#rms-login_page, #rms-app-intro{
	width: 30%;
	margin: 1.5rem auto;
  padding: 0.5rem 0;
  border: 5px solid rgba(0,190,0,0.5);
  border-radius: 20px;
  background-color: #ffffff;
}

#login_form {
	padding-top: 1.2rem;
}

#login_form label{
    float: left !important;
    font-size: 1.3rem;
	
}
#login_form input{
    font-size: 1.2em;
	margin-bottom:1.2em;
}

#login_btn{
	width: 100%;
	margin-top:15px;
	border: 2px lightgrey solid;
}

div.recent-txns{
	margin-top: 10px;
}

div.recent-txns h3{
	padding-left: 23px;
	font-weight: bold;
	font-size: 1.5em;
	
}


#rms-mobi-menu{ display:none;}
#rms-mobi-menu-items{ display:none;}

/*Screen Break Points Settings and Styling Starts*/
/*Mobile from 0px to 420px*/
@media only screen and (max-width:480px){

	#rms-mainboard-header{
		margin-top:0;
		padding-top:2.5px;
	}

	#rms-sidebar{
	display: none;
	}

	#rms-sidebar,#rms-side-intro{
	width:100%;
	background-color:#58575a;
}
	#rms-topbanner{display:none;}

	#rms-mobi-menu{ display:inline-block;}
	#rms-mobi-menu-items{ display:block;}
	#rms-stickymenu{display: none;}

	
	.rms-table,.rms-viewtable{
	background-color: rgba(255,255,255,0.9);
	border: 1px solid grey;
	font-size: 0.95em;
	}

	div.recent-txns h3{
	padding-left: 0.91rem;
	padding-bottom: .9rem;
	font-weight: bold;
	font-size: 1.5em;

}
	#rms-recentop-txns{
		width: 95%;
	}
	#rms-recentop-txns h3{
		text-align: center !important;
	}

	.rms-table{
		overflow-x: auto;
		height: 200px;
		display: block;
	}

}
/*Tablet 600px up to 768px */
@media only screen and (min-width:992px){
#rms-stickymenu{
	background-color:#4caf50;
	position:fixed;
	width:100%;
	z-index:1;
	top:0;
}
}


/*Laptops Desktop and Others from 768px upwards *
@media only screen and (min-width:768px){}
@media only screen and (max-width:992px){}
/*Screen Break Points Settings and Styling Ends*/
